<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <title>Podatkovni model</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="">
    </head>
    <body>
        <div>
            <h1>Podatkovni model</h1>
            <div>
                <h2>Glavne entitete</h2>
                <ul>
                    <li>Uporabnik <i>(hrani podatke o registriranem uporabniku)</i></li>
                    <li>Delo <i>(hrani podatke o objavljenem delu, naziv, plača, opis...)</i></li>
                    <li>Objava <i>(hrani podatke o objavah. Kdo je objavil delo in kdo se je prijavil na delo, poleg datuma prijave/objave)</i></li>
                    <li>Tip objave <i>(hrani dodatne podatke o tipu objave, če se gre za objavo ali prijavo)</i></li>
                    <li>Poštna številka <i>(hrani podatke o poštni številki in mestu)</i></li>
                </ul>
                <div>
                    <i>(Vse entitete, relacije in atributi so vidni na spodnjih dveh slikah)</i>
                </div>
            </div>
            <div>
                <h2>Podatki vedno na voljo na napravi in sinhronizacija</h2>
                <ul>
                    <li>
                        Podatki o profilu uporabnika <i>(sihronizacija samo ob določenem dogodku: shranjevanje sprememb profila)</i>
                        <div>
                            <i>Uporabnik si lahko ogleda svoj uporabniški profil (na primer: zgodovino prijav, zgodovina objav) tudi brez povezave s strežnikom</i>
                        </div>
                    </li>
                    <li>
                        Podatki o delah katera je obajvu ali se je prijavu <i>(samo ob določenih rokih: prijava/objava)</i>
                        <div><i>Uporabnk lahko vidi podatke o delu na katerega se je prijavu oz. je objavu</i></div>
                    </li>
                </ul>
            </div>
            <div>
                <h2>Podatki samo na strežniku</h2>
                <ul>
                    <li>Podatki o delah</li>
                    <li>Objave</li>
                    <li>Prijave</li>
                </ul>
            </div>
            <br/>
            <div>
                <h2>ER model</h2>
                <img src="er-model.png" alt="ER-diagram"/>
            </div>
        </div>
    </body>
</html>